LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XBoundComponent Interface Referencepublished

specifies a (form) component which is bound to a data source. More...

`import"XBoundComponent.idl";`

Inheritance diagram for XBoundComponent:

## Public Member Functions
boolean | commit ()
| commits the content of the component into the data source it is bound to. More...
Public Member Functions inherited from XUpdateBroadcaster
void | addUpdateListener ([in] com::sun::star::form::XUpdateListener aListener)
| adds the specified listener to receive the events "approveUpdate" and "updated". More...
void | removeUpdateListener ([in] com::sun::star::form::XUpdateListener aListener)
| removes the specified listener. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies a (form) component which is bound to a data source.

The interface provides the possibility of committing its respective data to a data source it is bound to. A commit() will be performed by the environment (usually, a FormController).
For example, suppose you have a data-bound control that is connected to a database field. Each time the control loses its focus, the model (component) of the control is triggered by the environment to store its value in the database field.

A commit may fail if an XUpdateListener vetoes the it.

See also
  com::sun::star::form::XUpdateListener

Developers Guide
  Forms - Committing Controls

## Member Function Documentation

## ◆ commit()

boolean commit | ( |  | ) |

commits the content of the component into the data source it is bound to.

Returns
  `TRUE` when the commitment was successful, otherwise `FALSE`.

The documentation for this interface was generated from the following file:

- com/sun/star/form/XBoundComponent.idl